• Codeby web-security - Курс "Тестирование Веб-Приложений на проникновение с нуля" от команды codeby. Общая теория, подготовка рабочего окружения, пассивный фазинг и фингерпринт, Активный фаззинг, Уязвимости, Пост-эксплуатация, Инструментальные средства, Social Engeneering и многое другое. Подробнее ...

  • Мобильный клиент нашего форума для Android гаджетов доступен в Google Play Market по этой ссылке. Клиент можно скачать с нашего форума по этой ссылке. Последняя версия МК в нашем телеграм канале вот здесь

Virtualbox aborted any VM. Kali linux.

20.01.2018
8
1
#1
Приветствую всех. После обновления в Кали, виртуал бокс не запускает машины, выдает ошибку

The VM session was aborted.

Result Code: E_FAIL (0x80004005)
Component: SessionMachine
Interface: ISession {7844aa05-b02e-4cdd-a04f-ade4a762e6b7}

написал на
Для просмотра контента необходимо: Войти или зарегистрироваться
и добавил логи ВМ, мне дали ответ
"VirtualBox VM 5.2.0_Debian r118415 linux.x86 (Oct 27 2017 17:43:50) release log"​
It looks like you're using the distro's fork version of VirtualBox. You can either ask in their forums for help, or completely remove/uninstall/delete/purge their version and install the official version from the
Для просмотра контента необходимо: Войти или зарегистрироваться
section of VirtualBox.

If that doesn't work you should try the latest
Для просмотра контента необходимо: Войти или зарегистрироваться
, especially with all the Spectre/Meltdown patches coming in from all sides. 5.2.0 is quite old for that kind of thing...

Гугл переводчик----
Похоже, вы используете версию виртуализации VirtualBox от дистрибутива. Вы можете либо попросить на своих форумах о помощи, либо полностью удалить / удалить / удалить / очистить свою версию и установить официальную версию из раздела «Загрузка» VirtualBox.

Если это не сработает, вы должны попробовать новейшие тестовые сборки, особенно со всеми плагинами Spectre / Meltdown со всех сторон. 5.2.0 довольно старый для такого рода вещей ...

Помогите, пожалуйста, правильно удалить и установить более новую версию
 

Vertigo

Lex mea est Vulgate Linux
Red Team
15.02.2017
787
2 062
#2
Помогите, пожалуйста, правильно удалить и установить более новую версию
Известные проблемы. С развитием дистрибутивов Linux, virtualbox к сожалению стали не успевать в виртуализации.

Посыпались прежние ошибки.Понятно,что это вопрос времени,но приходится спотыкаться о них.
Мне попадались готовые сборки Linux, с которыми VB просто не может справиться.

Что здесь можно рассмотреть..в опциях VB удалить ОС (не стереть все файлы с компьютера,а именно удалить из списка).
Графа должна быть пустой,а файлы с ОС ,дистрибутивами пусть лежат там же,их не трогаем.

Через Панель Управления (Windows хоть основная ось? А то ай-яй)),удаляем Virtualbox как программу.
Перезагружаем комп,затем качаем последнюю версию VB, и пытаемся через неё добавить и загрузить созданные ранее машины с Linux.
И на будущее,делайте лучше снимки машин-это здорово выручает при возникновении проблем.Один полный клон тоже не помешает.
Можно и флешку нормальную запилить (что гораздо лучше) ,или ноут ,но который имеет сертификацию Linux.
 
20.01.2018
8
1
#3
Спасибо за ответ. Виндоус нет, у меня отдельный диск с kali. в виртуал боксе 3 ВМ- windows 7, whonix gateway, workstation. Я удалял ОС windows7 в виртуал боксе, оставив vdi и пробовал заново прикрутить, но выдает ошибки. По идее главное же vdi? если его запустить на рабочем виртуал боксе, то будет работать как прежде.
 

Vertigo

Lex mea est Vulgate Linux
Red Team
15.02.2017
787
2 062
#4
По идее главное же vdi? если его запустить на рабочем виртуал боксе, то будет работать как прежде.
Не только надо это оставлять,но и файл Virtual Disk Image. Vbox-prev можно удалить,пофиксить заново,а вот Image-это оплот.
Посмотрите,что он занимает значительный объём пространства,т.к. в нём,все изменения и та система,которую Вы привыкли созерцать при запуске.Всю эту папку в Windows (директорию в Linux) трогать не стоит. Иначе придётся либо переустанавливать всё заново,либо пытаться восстановить штатными утилитами Linux при запуске fsck и debugfs - в основном,в таких случаях летит grub.
 
20.01.2018
8
1
#5
Мне надо в Kali удалить старую версию виртуал бокса и установить новую. Как советуют с форума виртуалбокса, я сам точно не знаю пошагово как это сделать в Kali, вот, что я пытался сделать.
пробовал через терминал
sudo apt-get --purge remove virtualbox
sudo apt autoremove
потом скачивал пакет с
Для просмотра контента необходимо: Войти или зарегистрироваться
----Debian 8 ("Jessie")
Для просмотра контента необходимо: Войти или зарегистрироваться
(правильный хз?)
пытался установить через gdebi выдает ошибку Error: Dependency is not satisfable: libpng12-0(>=1.2.13-4)
добавил логи ВМ хуникса, которые скидывал
Для просмотра контента необходимо: Войти или зарегистрироваться
 

Вложения

Последнее редактирование:

a113

Grey Team
10.12.2016
291
251
#7
Небольшой совет (даже не совет, а просто небольшое замечание): намучившись с VB, попробовать QEMU. Очень крутая штука, вот только пока не удалось в ней должным образом разобраться :(
 
Симпатии: Понравилось Vertigo

Vertigo

Lex mea est Vulgate Linux
Red Team
15.02.2017
787
2 062
#8
VDI -это Virtual Disk Image по идее он у меня остался
2 файла Вы должны не трогать: Virtualbox hard disk (vdi .смотря в каком формате формировали диск) и virtualbox machine definition.
Платформу держим верную: если основная 64,то без разницы какой дистр,или windows ставим гостевой. Если 32-то ставим только только 32
 
20.01.2018
8
1
#11
Чет мне теперь кажется, что я что то удалил лишнее) Я хочу попробовать перенести vdi на windows на другом компе, запустить. Мне важен именно ВМ виндоус, хуникс можно снести и кали тоже и на диск поставить другую линукс, чтобы на нем вирутал бокс работал. Конечно хотелось бы найти ответ, как переустановить этот гребаный виртуал бокс правильно.
 
20.01.2018
8
1
#12
Сделал. Удалил старый виртуал бокс, попробовал установить Debian 8 ("Jessie")
Для просмотра контента необходимо: Войти или зарегистрироваться
через терминал, но выдало ошибки о не достающих файлах. Решил скачать тестовую новую версию отсюда
Для просмотра контента необходимо: Войти или зарегистрироваться
расширение .run через терминал командой sudo sh '/ путь к файлу' все установилось и заработало)
 
Симпатии: Понравилось Vertigo
Вверх Снизу